Page MenuHomePhabricator

"You are blocked" messages should be contextually specific when a partially blocked user is performing non-editing actions (upload, email user, move page, etc.)
Closed, ResolvedPublic

Description

"You are blocked" messages should be contextually specific when a partially blocked user is performing non-editing actions (upload, email user, move page, etc.)

Related to this T197117: Enforce Partial Blocks from Database and Update desktop Block Notice


Account creation

Priority: Low
Fine as-is. (Screenshot)


Upload file

Priority: Low, as this functionality does not yet exist. To be implemented in T6995.


Send email

Priority: Medium
Should be:

<strong>Your username has been blocked from sending email. You can still edit other pages on this wiki.</strong> You can view the full block details at [[Special:MyContributions|account contributions]].

The block was made by $1.

The reason given is <em>$2</em>.

* Start of block: $8
* Expiration of block: $6
* Intended blockee: $7
* Block ID #$5

Move page

Priority: High
Should be:

<strong>Your username or IP address has been blocked from making changes to this page. You can still edit other pages on this wiki.</strong> You can view the full block details at [[Special:MyContributions|account contributions]].

The block was made by $1.

The reason given is <em>$2</em>.

* Start of block: $8
* Expiration of block: $6
* Intended blockee: $7
* Block ID #$5

Don't worry about for now:
  • Protect (including deferred changes)
  • Delete
  • Manage deferred changes

Event Timeline

TBolliger created this task.Oct 2 2018, 8:45 PM
Restricted Application added subscribers: MGChecker, Aklapper. · View Herald TranscriptOct 2 2018, 8:45 PM
dmaza renamed this task from Determine (then implement) what messages should appear when a partially blocked user is sending email or uploading files. to Determine (then implement) what messages should appear when a partially blocked user is performing non-editing actions (upload, email user, move page).Oct 3 2018, 4:35 AM
dmaza updated the task description. (Show Details)

It seems to me like we can re-use the string MediaWiki:Blockedtext-partial with a minor addition.

  • The current text reads Your username or IP address has been blocked from editing this page. and this could change based on the context.
  • For email — Your username or IP address has been blocked from emailing other users.
  • For uploading files — Your username or IP address has been blocked from uploading files.

We could add this as parameter $9, or we can use different messages entirely. Whatever is best practice.

It seems to me like we can re-use the string MediaWiki:Blockedtext-partial with a minor addition.

  • The current text reads Your username or IP address has been blocked from editing this page. and this could change based on the context.
  • For email — Your username or IP address has been blocked from emailing other users.
  • For uploading files — Your username or IP address has been blocked from uploading files.

We could add this as parameter $9, or we can use different messages entirely. Whatever is best practice.

I would say to go with a new message entirely. For what I understand new messages are preferred instead of composing/reusing translations. Maybe @Mooeypoo can provide more info on best practices.

See https://www.mediawiki.org/wiki/Localisation#Internationalisation_hints

We have to define what that looks like and it should still reference the block in question.

There's been some instances where I had a parameter that was another translated string, it seemed like a valid use case.

TBolliger updated the task description. (Show Details)Oct 4 2018, 6:11 PM
TBolliger renamed this task from Determine (then implement) what messages should appear when a partially blocked user is performing non-editing actions (upload, email user, move page) to "You are blocked" messages should be contextually specific when a partially blocked user is performing non-editing actions (upload, email user, move page, etc.).Oct 4 2018, 6:49 PM
TBolliger updated the task description. (Show Details)
dmaza updated the task description. (Show Details)Oct 8 2018, 9:47 PM
dmaza added a comment.EditedOct 9 2018, 5:55 PM

What if instead of using multiple messages for partial blocks on edit/move/protect/delete we had a more generic one that would work for all of those?

Something like Your username or IP address has been blocked from making changes to this page. You can still contribute to other pages on this wiki....

Keep in mind that the first line before the block error, mentions the lack of permissions to perform whatever action the user is trying to make. This is not the case for visual editor but since it is in the context of an edit "making changes" sounds to me like edit (?)

Here is how Edit would look with the above message:

Here is Move:

PS: the screenshots say ...from changing this page... and my suggested text is ...from making changes to this page...

Keep in mind that having one message for sitewide and one message for not sidewide reduces maintenance and complexity and would solve all of the issues mentioned in this ticket regarding the pages actions.

dmaza added a comment.EditedOct 9 2018, 6:04 PM

Another interesting find.. If you are using visual editor, even if you get the notification saying that you are blocked you can still edit the page and try to save. In this scenario you get a different message from the api saying You have been blocked from editing. I've modified this for partial blocks and it currently say You have been blocked from editing this page.

aezell added a subscriber: aezell.Oct 9 2018, 6:09 PM

From a technical viewpoint, a single more generic message makes the most sense. Will it be confusing in translation? Can translators come up with general enough language as we do in English?

What if instead of using multiple messages for partial blocks on edit/move/protect/delete we had a more generic one that would work for all of those?
Something like Your username or IP address has been blocked from making changes to this page. You can still contribute to other pages on this wiki....

I've thought about this for a while, and I while I usually prefer more specific, contextual messages I think it's absolutely fine to use your proposed message. I'll update this task, are there any others I need to update?

TBolliger updated the task description. (Show Details)Oct 9 2018, 8:09 PM
dmaza added a comment.Oct 9 2018, 8:14 PM

I've thought about this for a while, and I while I usually prefer more specific, contextual messages I think it's absolutely fine to use your proposed message. I'll update this task, are there any others I need to update?

I don't think we need to update any other tasks at this time.

TBolliger closed this task as Resolved.Nov 8 2018, 6:29 PM
TBolliger claimed this task.
TBolliger added a subscriber: SPoore.

@SPoore ‚ I believe these are all acceptable now:

Account creation


Sending email


Moving/renaming, protecting, and deleting pages

Note that PB'd users still cannot rename, delete, or protect pages outside their partial block. These will be fixed in: